cURL
curl --request GET \
--url https://api.e2b.app/events/sandboxes \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/events/sandboxes"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/events/sandboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"type": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"sandboxId": "<string>",
"sandboxExecutionId": "<string>",
"sandboxTemplateId": "<string>",
"sandboxBuildId": "<string>",
"sandboxTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventCategory": "<string>",
"eventLabel": "<string>",
"eventData": {}
}
]{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}events
Get eventssandboxes 1
Get all sandbox events for the team associated with the API key
GET
/
events
/
sandboxes
cURL
Authorizations
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 100Filter events to the provided event types
Response
Successfully returned the sandbox events
Event unique identifier
Event structure version
Event name
Timestamp of the event
Unique identifier for the sandbox
Unique identifier for the sandbox execution
Unique identifier for the sandbox template
Unique identifier for the sandbox build
Team identifier associated with the sandbox
Category of the event (e.g., 'lifecycle', 'process', etc.)
Label for the specific event type (e.g., 'sandbox_started', 'process_oom', etc.)
Optional JSON data associated with the event
Was this page helpful?